Subject: chroot problem - Solution for Solaris 2.5.1

From: "Stefan Berg" <[email-masked]>
Date: Mon, 15 Jun 1998 15:17:33 +0200

Hi,

just for all you Solaris 2.5.1 users of wu-ftpd:

I have had real trouble finding a way to make the BETA 17
work for my good old environment with 2.4(9), where
everything worked just fine.

I tried all the configuration tips for chroot environment
and nothing worked. The user was logged in alright, but
not changerooted - even with the "-a" option in inetd.conf.

Then I recompiled the ftpd source with use_accessfile=1 
(changed it in src/ftpd.c) and suddenly all things worked. 
I changed nothing else.

I followed all the nice little tips from Gregory A Lundberg:

>To need:
>
>-a switch on inetd.conf ftp command line to use /etc/ftpaccess
>
>/etc/shells exists and contains : /bin/sh
>
>~matrgx/bin etc dev lib and whatever else the solaris howto says
>
>matgr in /etc/passwd
>
>group 2002 in /etc/group : ftpgroup:*:2002:matgr
>
>/etc/ftpusers does NOT contain matgr
>
>/etc/ftpaccess contains : guestgroup ftpgroup
>
>compiled and running beta 17
>
>if you're using NFS you'll need to export the directory as root (I don't
>use NFS so check the FAQ carefully). 

Maybe this posting will help YOU! I hope so anyway :)

/Stefan